com.digi.xbee.api.models

## Enum AssociationIndicationStatus

- java.lang.Object
- - java.lang.Enum<AssociationIndicationStatus>
  - - com.digi.xbee.api.models.AssociationIndicationStatus

- All Implemented Interfaces:
    Serializable, Comparable<AssociationIndicationStatus>

      public enum AssociationIndicationStatus
      extends Enum<AssociationIndicationStatus>

  Enumerates the different association indication status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AR_CHANNEL_ACCESS_FAILURE`
    `AR_COORDINATOT_ACK_WASNT_RECEIVED`
    `AR_COORDINATOT_DIDNT_REPLY`
    `AR_INVALID_PARAMETER`
    `AR_NOT_SENT`
    `AR_TIMED_OUT`
    `AS_ASSOCIATION_NOT_ALLOED`
    `AS_BEACONS_NOT_SUPPORTED`
    `AS_CHANNEL_DOESNT_MATCH`
    `AS_ID_DOESNT_MATCH`
    `AS_NO_PANS_FOUND`
    `AS_TIMEOUT`
    `CHECKING_FOR_COORDINATOR`
    `COORDINATOR_INVALID_PARAMETER`
    `COORDINATOR_REALIGNMENT`
    `COORDINATOR_START_FAILED`
    `COORDINATOR_START_REQUEST_FAILED`
    `DEVICE_DIDNT_RESPOND`
    `DISSASOCIATED`
    `ENERGY_SCAN_TIMEOUT`
    `INVALID_SECURITY_KEY`
    `JOIN_FAILED`
    `KEY_NOT_RECEIVED`
    `NETWORK_LEAVE_FAILED`
    `NJ_EXPIRED`
    `NO_JOINABLE_BEACONS_FOUND`
    `NO_PANS_FOUND`
    `NO_PANS_WITH_ID_FOUND`
    `SCANNING_NETWORK`
    `SUCCESSFULLY_JOINED`
    `SYNCHRONIZATION_LOST`
    `UNEXPECTED_STATE`
    `UNSECURED_KEY_RECEIVED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AssociationIndicationStatus` | `get(int value)` Returns the `AssociationIndicationStatus` associated to the given value.
    `String` | `getDescription()` Returns the association indication status description.
    `int` | `getValue()` Returns the association indication status value.
    `String` | `toString()`
    `static AssociationIndicationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AssociationIndicationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AR_CHANNEL_ACCESS_FAILURE

          public static final AssociationIndicationStatus AR_CHANNEL_ACCESS_FAILURE

    - #### AR_COORDINATOT_ACK_WASNT_RECEIVED

          public static final AssociationIndicationStatus AR_COORDINATOT_ACK_WASNT_RECEIVED

    - #### AR_COORDINATOT_DIDNT_REPLY

          public static final AssociationIndicationStatus AR_COORDINATOT_DIDNT_REPLY

    - #### AR_INVALID_PARAMETER

          public static final AssociationIndicationStatus AR_INVALID_PARAMETER

    - #### AR_NOT_SENT

          public static final AssociationIndicationStatus AR_NOT_SENT

    - #### AR_TIMED_OUT

          public static final AssociationIndicationStatus AR_TIMED_OUT

    - #### AS_ASSOCIATION_NOT_ALLOED

          public static final AssociationIndicationStatus AS_ASSOCIATION_NOT_ALLOED

    - #### AS_BEACONS_NOT_SUPPORTED

          public static final AssociationIndicationStatus AS_BEACONS_NOT_SUPPORTED

    - #### AS_CHANNEL_DOESNT_MATCH

          public static final AssociationIndicationStatus AS_CHANNEL_DOESNT_MATCH

    - #### AS_ID_DOESNT_MATCH

          public static final AssociationIndicationStatus AS_ID_DOESNT_MATCH

    - #### AS_NO_PANS_FOUND

          public static final AssociationIndicationStatus AS_NO_PANS_FOUND

    - #### AS_TIMEOUT

          public static final AssociationIndicationStatus AS_TIMEOUT

    - #### CHECKING_FOR_COORDINATOR

          public static final AssociationIndicationStatus CHECKING_FOR_COORDINATOR

    - #### COORDINATOR_INVALID_PARAMETER

          public static final AssociationIndicationStatus COORDINATOR_INVALID_PARAMETER

    - #### COORDINATOR_REALIGNMENT

          public static final AssociationIndicationStatus COORDINATOR_REALIGNMENT

    - #### COORDINATOR_START_FAILED

          public static final AssociationIndicationStatus COORDINATOR_START_FAILED

    - #### COORDINATOR_START_REQUEST_FAILED

          public static final AssociationIndicationStatus COORDINATOR_START_REQUEST_FAILED

    - #### DEVICE_DIDNT_RESPOND

          public static final AssociationIndicationStatus DEVICE_DIDNT_RESPOND

    - #### DISSASOCIATED

          public static final AssociationIndicationStatus DISSASOCIATED

    - #### ENERGY_SCAN_TIMEOUT

          public static final AssociationIndicationStatus ENERGY_SCAN_TIMEOUT

    - #### INVALID_SECURITY_KEY

          public static final AssociationIndicationStatus INVALID_SECURITY_KEY

    - #### JOIN_FAILED

          public static final AssociationIndicationStatus JOIN_FAILED

    - #### KEY_NOT_RECEIVED

          public static final AssociationIndicationStatus KEY_NOT_RECEIVED

    - #### NETWORK_LEAVE_FAILED

          public static final AssociationIndicationStatus NETWORK_LEAVE_FAILED

    - #### NJ_EXPIRED

          public static final AssociationIndicationStatus NJ_EXPIRED

    - #### NO_JOINABLE_BEACONS_FOUND

          public static final AssociationIndicationStatus NO_JOINABLE_BEACONS_FOUND

    - #### NO_PANS_FOUND

          public static final AssociationIndicationStatus NO_PANS_FOUND

    - #### NO_PANS_WITH_ID_FOUND

          public static final AssociationIndicationStatus NO_PANS_WITH_ID_FOUND

    - #### SCANNING_NETWORK

          public static final AssociationIndicationStatus SCANNING_NETWORK

    - #### SUCCESSFULLY_JOINED

          public static final AssociationIndicationStatus SUCCESSFULLY_JOINED

    - #### SYNCHRONIZATION_LOST

          public static final AssociationIndicationStatus SYNCHRONIZATION_LOST

    - #### UNEXPECTED_STATE

          public static final AssociationIndicationStatus UNEXPECTED_STATE

    - #### UNSECURED_KEY_RECEIVED

          public static final AssociationIndicationStatus UNSECURED_KEY_RECEIVED

  - ### Method Detail

    - #### get

          public static AssociationIndicationStatus get(int value)

      Returns the `AssociationIndicationStatus` associated to the given value.
      Parameters:
        `value` - Value of the association indication status to retrieve.
      Returns:
        The association indication status of the associated value, `null` if it could not be found in the table.

    - #### getDescription

          public String getDescription()

      Returns the association indication status description.
      Returns:
        The association indication status description.

    - #### getValue

          public int getValue()

      Returns the association indication status value.
      Returns:
        The association indication status value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AssociationIndicationStatus>`

    - #### valueOf

          public static AssociationIndicationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static AssociationIndicationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssociationIndicationStatus c : AssociationIndicationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.